Subject: bug#23331: 25.0.92; Cannot create temporary file ending in a period on OS X

From: Alan Third <[email-masked]>
Date: Tue, 19 Jul 2016 20:41:20 +0100

Alan Third <[email-masked]> writes:

> John Wiegley <[email-masked]> writes:
>
>> I'm not sure if this is a Mac problem, or an Emacs 25 problem, but it occurs
>> with the latest emacs-25 on OS X 10.10:
>>
>>     M-: (make-temp-name "index.magit.") RET
>>
>> Will report the error:
>>
>>     Cannot create temporary name for prefix: Bad file descriptor, index.magit.
>>
>> I discovered this because Magit 2.6 uses temporary files with such a name.
>
> Hi John, I've just tried this out on my own Mac (10.11) and it's working fine.
> Are you still getting the error?

I feel a bit weird about this, but I still can't reproduce it and it's
been over seven weeks with no response, so I'm inclined to close the
bug.
-- 
Alan Third